Bug 489353 - (mingw32-expat) Review Request: mingw32-expat - MinGW port of expat XML parser library
Review Request: mingw32-expat - MinGW port of expat XML parser library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: mingw32-fontconfig 1016258
  Show dependency treegraph
 
Reported: 2009-03-09 12:39 EDT by Richard W.M. Jones
Modified: 2013-10-07 15:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.0.1-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 19:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-03-09 12:39:55 EDT
Spec URL: http://www.annexia.org/tmp/mingw/mingw32-expat.spec
SRPM URL: http://homes.merjis.com/~rich/mingw/fedora-rawhide/src/SRPMS/mingw32-expat-2.0.1-3.fc11.src.rpm
Description: This is the MinGW port of expat.
Comment 1 Richard W.M. Jones 2009-03-09 12:45:43 EDT
Fixing the URLs:

Spec URL: http://www.annexia.org/tmp/mingw32-expat.spec
SRPM URL: http://homes.merjis.com/~rich/mingw/fedora-rawhide/src/SRPMS/mingw32-expat-2.0.1-3.fc11.src.rpm
Description: This is the MinGW port of expat.
Comment 2 Richard W.M. Jones 2009-03-09 12:47:29 EDT
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1232214
Comment 3 Peter Robinson 2009-03-09 12:49:11 EDT
I'll grab this one.
Comment 4 Richard W.M. Jones 2009-03-09 12:53:43 EDT
rpmlint says:

mingw32-expat.noarch: W: spurious-executable-perm /usr/share/doc/mingw32-expat-2.0.1/COPYING

I've fixed this in our temporary repository:
http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/rev/adda45dab395
but the fix is so small that I didn't build another RPM.
Comment 5 Peter Robinson 2009-03-09 12:54:58 EDT
No probs. I'll grab the new spec from there and use the base rpm
Comment 6 Peter Robinson 2009-03-09 13:09:55 EDT
Review in progress...
Comment 7 Peter Robinson 2009-03-09 13:12:39 EDT
Looks good. APPROVED.

+ rpmlint output

$rpmlint -i mingw32-expat-2.0.1-3.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  ee8b492592568805593f81f8cdf2a04c  expat-2.0.1.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 8 Richard W.M. Jones 2009-03-09 13:23:27 EDT
New Package CVS Request
=======================
Package Name: mingw32-expat
Short Description: Windows port of expat XML parser library
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:
Comment 9 Dennis Gilmore 2009-03-10 16:17:20 EDT
CVS Done
Comment 10 Fedora Update System 2009-03-10 18:53:37 EDT
mingw32-expat-2.0.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-expat-2.0.1-4.fc10
Comment 11 Fedora Update System 2009-03-11 13:57:39 EDT
mingw32-expat-2.0.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.